commit:     fa84f6c0bf8f736ebb7d07a64a2f3f7937a17616
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May  7 07:40:49 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun May  8 05:43:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa84f6c0

dev-ruby/actionpack-xml_parser: add ruby30

Fix rails dependencies to include more versions.

Closes: https://bugs.gentoo.org/805563
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../actionpack-xml_parser-2.0.1-r2.ebuild          | 38 ++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git 
a/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r2.ebuild 
b/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r2.ebuild
new file mode 100644
index 000000000000..bf9852deb7b4
--- /dev/null
+++ b/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack-xml_parser.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="XML parameters parser for Action Pack (removed from core in Rails 
4.0)"
+HOMEPAGE="https://github.com/rails/actionpack-xml_parser";
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="2"
+IUSE=""
+
+ruby_add_rdepend "
+       || ( dev-ruby/actionpack:6.1 dev-ruby/actionpack:6.0 
dev-ruby/actionpack:5.2 )
+       || ( dev-ruby/railties:6.1 dev-ruby/railties:6.0 dev-ruby/railties:5.2 )
+"
+
+ruby_add_bdepend "test? ( =dev-ruby/railties-6* )"
+
+all_ruby_prepare() {
+       sed -i -e "/bundler/d" Rakefile test/helper.rb || die
+       sed -i -e '1igem "actionpack", "~>6.0"' test/helper.rb || die
+
+       # Skip test that is not compatible with Rails 5.2
+       sed -i -e '/occurring a parse error if parsing unsuccessful/askip 
"rails 5.2"' test/xml_params_parsing_test.rb || die
+}
+
+each_ruby_test() {
+       MT_NO_PLUGINS=true ${RUBY} -Ilib:.:test -e 
"Dir['test/*_test.rb'].each{|f| require f}" || die
+}

Reply via email to